#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int A,B,C,prvi,drugi,treci;
    int max1=1,max2=1,max3=1;
    scanf("%lli",&A);
    scanf("%lli",&B);
    scanf("%lli",&C);
    prvi=A;
    drugi=B;
    treci=C;
    while(A>=10)
    {
        A /= 10;
        max1++;
    }
    while(B>=10)
    {
        B /= 10;
        max2++;
    }
    while(C>=10)
    {
        C /= 10;
        max3++;
    }
    A=prvi;
    B=drugi;
    C=treci;
    if(max1>=max2 && max1>=max3) {B=B*pow(10,max1-max2); C=C*pow(10,max1-max3);}
    else if(max2>=max3 && max2>=max1) {A=A*pow(10,max2-max1); C=C*pow(10,max2-max3);}
    else if(max3>=max2 && max3>=max1) {B=B*pow(10,max3-max2); A=A*pow(10,max3-max1);}
    if(A>=B && A>=C && B>=C) printf("%lli%lli%lli",prvi,drugi,treci);
    else if(A>=B && A>=C && C>=B) printf("%lli%lli%lli",prvi,treci,drugi);
    else if(B>=A && B>=C && C>=A) printf("%lli%lli%lli",drugi,treci,prvi);
    else if(B>=A && B>=C && A>=C) printf("%lli%lli%lli",drugi,prvi,treci);
    else if(C>=B && C>=A && B>=A) printf("%lli%lli%lli",treci,drugi,prvi);
    else if(C>=B && C>=A && A>=B) printf("%lli%lli%lli",treci,prvi,drugi);

    return 0;
}